# [Not recommended] Use this configuration only when utilizing the disjointed
# os_sensor and os_cloud configuration
# For the future and for better results consider migrating to combined node/component os_driver
# and utilize the driver_params.yaml along with it.
os1_sensor_node:
    ros__parameters:
        sensor_hostname: ""
        udp_dest: ""
        mtp_dest: ""
        mtp_main: false
        lidar_mode: ""
        timestamp_mode: ""
        udp_profile_lidar: ""
        metadata: ""
        lidar_port: 0
        imu_port: 0
        use_system_default_qos: False
os1_cloud_node:
    ros__parameters:
        sensor_frame: os_sensor
        lidar_frame: os_lidar
        imu_frame: os_imu
        point_cloud_frame: os_lidar
        timestamp_mode: "" # this value needs to match os_sensor/timestamp_mode
        ptp_utc_tai_offset: -37.0 # UTC/TAI offset in seconds to apply when using TIME_FROM_PTP_1588
        proc_mask: IMU|PCL|SCAN # pick IMU, PCL, SCAN or any combination of the three options
        use_system_default_qos: False # needs to match the value defined for os_sensor node
        scan_ring:
            0 # Use this parameter in conjunction with the SCAN flag and choose a
            # value the range [0, sensor_beams_count)
        point_type: original # choose from: {original, native, xyz, xyzi, xyzir}
os1_image_node:
    ros__parameters:
        use_system_default_qos: False # needs to match the value defined for os_sensor node
